BROKER_PATH=/usr/sbin
CLUSTER_OPTIONS="--load-module /usr/lib64/qpid/daemon/cluster.so --cluster-name scrable_test  --cluster-check-errors 1"
OTHER_OPTIONS="--no-module-dir --auth no --no-data-dir $OTHER_OPTIONS"

killall qpidd

$BROKER_PATH/qpidd -p 5672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 6672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 7672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 8672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS

JAVA_HOME=/root/jdk1.6.0_06; export PATH=$JAVA_HOME/bin:$PATH
QPID_CP=`find /usr/share/java -name '*.jar' | tr '\n' ':'`; export QPID_CP=/root/:$QPID_CP

java -cp $QPID_CP -Damqj.logging.level=WARN FailoverConsumer > consumer.log 2>&1 &
java -cp $QPID_CP -Damqj.logging.level=WARN FailoverProducer > producer.log 2>&1 &

set -x

# start clients

# Kill 5, then restart and leave only 5 standing
sleep 1
$BROKER_PATH/qpidd -p 5672 -q
sleep 1
$BROKER_PATH/qpidd -p 7672 -q
sleep 1
$BROKER_PATH/qpidd -p 6672 -q
sleep 1
$BROKER_PATH/qpidd -p 5672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 5
$BROKER_PATH/qpidd -p 8672 -q

# Leave only 6 standing
sleep 1
$BROKER_PATH/qpidd -p 8672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 1
$BROKER_PATH/qpidd -p 5672 -q
sleep 1
$BROKER_PATH/qpidd -p 6672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 7672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 1
$BROKER_PATH/qpidd -p 8672 -q
sleep 5
$BROKER_PATH/qpidd -p 7672 -q

# Leave only 7 standing
sleep 1
$BROKER_PATH/qpidd -p 5672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 8672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 5
$BROKER_PATH/qpidd -p 6672 -q
sleep 1
$BROKER_PATH/qpidd -p 5672 -q
sleep 1
$BROKER_PATH/qpidd -p 7672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 5
$BROKER_PATH/qpidd -p 8672 -q

# Leave only 8 standing
sleep 5
$BROKER_PATH/qpidd -p 6672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 5672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
$BROKER_PATH/qpidd -p 7672 -q
sleep 5
$BROKER_PATH/qpidd -p 6672 -q
$BROKER_PATH/qpidd -p 8672 -d $OTHER_OPTIONS $CLUSTER_OPTIONS
sleep 1
$BROKER_PATH/qpidd -p 7672 -q




